Package gov.nasa.gsfc.sscweb.schema

# Class GroundStationCondition

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Condition
gov.nasa.gsfc.sscweb.schema.GroundStationCondition

public class GroundStationCondition extends Condition
Ground Station condition. <p>Java class for GroundStationCondition complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="GroundStationCondition"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}Condition"> <sequence> <element name="GroundStation" type="{http://sscweb.gsfc.nasa.gov/schema}GroundStationConjunction" maxOccurs="4"/> <element name="CoordinateSystem" type="{http://sscweb.gsfc.nasa.gov/schema}TraceCoordinateSystem"/> <element name="TraceType" type="{http://sscweb.gsfc.nasa.gov/schema}TraceType"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected TraceCoordinateSystem`
  `coordinateSystem`
  Ground Station Coordinate System.
  `protected List<GroundStationConjunction>`
  `groundStation`
  Selected ground stations.
  `protected TraceType`
  `traceType`
  Trace type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroundStationCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceCoordinateSystem`
  `getCoordinateSystem()`
  Ground Station Coordinate System.
  `List<GroundStationConjunction>`
  `getGroundStation()`
  Selected ground stations.
  `TraceType`
  `getTraceType()`
  Trace type.
  `void`
  `setCoordinateSystem(TraceCoordinateSystem value)`
  Sets the value of the coordinateSystem property.
  `void`
  `setTraceType(TraceType value)`
  Sets the value of the traceType property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### groundStation

    protected List<GroundStationConjunction> groundStation
    Selected ground stations.

  - ### coordinateSystem

    protected TraceCoordinateSystem coordinateSystem
    Ground Station Coordinate System.

  - ### traceType

    protected TraceType traceType
    Trace type.

- ## Constructor Details

  - ### GroundStationCondition

    public GroundStationCondition()

- ## Method Details

  - ### getGroundStation

    public List<GroundStationConjunction> getGroundStation()
    Selected ground stations. Gets the value of the groundStation property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the groundStation property.

    For example, to add a new item, do as follows:

         getGroundStation().add(newItem);

    Objects of the following type(s) are allowed in the list `GroundStationConjunction`

    Returns:
      The value of the groundStation property.

  - ### getCoordinateSystem

    public TraceCoordinateSystem getCoordinateSystem()
    Ground Station Coordinate System.
    Returns:
      possible object is `TraceCoordinateSystem`

  - ### setCoordinateSystem

    public void setCoordinateSystem(TraceCoordinateSystem value)
    Sets the value of the coordinateSystem property.
    Parameters:
      `value` - allowed object is `TraceCoordinateSystem`
    See Also:
      - `getCoordinateSystem()`

  - ### getTraceType

    public TraceType getTraceType()
    Trace type.
    Returns:
      possible object is `TraceType`

  - ### setTraceType

    public void setTraceType(TraceType value)
    Sets the value of the traceType property.
    Parameters:
      `value` - allowed object is `TraceType`
    See Also:
      - `getTraceType()`